FROM linuxserver/rdesktop:alpine-icewm
# FROM linuxserver/rdesktop:alpine-openbox
# FROM alpine:3.18

RUN apk update --no-cache
RUN apk add --no-cache npm chromium

RUN mkdir /puppeteer
WORKDIR /puppeteer

COPY ./puppeteer.js /puppeteer/puppeteer.js
COPY ./server.js /puppeteer/server.js

USER root
COPY ./puppeteer.sh /puppeteer.sh
RUN chmod +x /puppeteer.sh

CMD [ "sh", "/puppeteer.sh" ]
